Bug 26936 - Anaconda text install has dangerous default action for custom install
Anaconda text install has dangerous default action for custom install
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-10 06:21 EST by Mike A. Harris
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 15:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2001-02-10 06:21:44 EST
When doing a hard disk install (text), I chose "custom" and a screen
comes up that was slightly confusing to me, until I read it several times
to ensure I was doing the right thing - as the consequences would have
been destructive if I'd chosen the wrong action.

The screen in question is the one that asks you wether or not you want
to "continue" or to "partition".  The default action is to "continue"
which has the effect of destroying all data on the disk and I suppose
autopartitioning.  I do not know the result of hitting continue since
I did not want to lose data.  Choosing "partition" allowed me to do what
I wanted, however I could very well have quickly just hit enter "assuming"
the default value to be safe.

An ordinary user is likely to just hit "enter" without fully reading the
screen.  Standard GUI design says that the "default" action of any
buttons on a dialog box should default to the safest non-destructive
answer.  I think 2 things should be done to correct this, one the default
should be changed to "partition", and 2, the message should be updated
to be as clear as possible to the dumbest person, and yet short and sweet.

I haven't tried, but likely the GUI install is similar.
Comment 1 redhatcert 2001-02-10 21:31:22 EST
I notice the same thing on my IDE EXPERT install.
The attached SCSI drive with valuable data was going to be reformatted unless I 
toggled it off. It also is a scroll window and additional drives may be off the 
visable list.
[*] /dev/hda5
[*] /dev/sda1
Comment 2 Michael Fulbright 2001-02-14 00:34:51 EST
Cannot change screen shots at this time, will defer for future consideration.
Comment 3 Michael Fulbright 2001-09-17 15:26:29 EDT
Should be more clear now.

Note You need to log in before you can comment on or make changes to this bug.